Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat
Interface InstanceManager

All Known Implementing Classes:
  DefaultInstanceManager

    public interface InstanceManager

Version:
  $Id: InstanceManager.java 1200164 2011-11-10 05:46:02Z kkolinko $

Method Summary
`void` | `destroyInstance(Object o)`
`void` | `newInstance(Object o)`
`Object` | `newInstance(String className)`
`Object` | `newInstance(String fqcn, ClassLoader classLoader)`

Method Detail

### newInstance

    Object newInstance(String className)
                       throws IllegalAccessException,
                              InvocationTargetException,
                              NamingException,
                              InstantiationException,
                              ClassNotFoundException

  Throws:
    `IllegalAccessException`
    `InvocationTargetException`
    `NamingException`
    `InstantiationException`
    `ClassNotFoundException`

### newInstance

    Object newInstance(String fqcn,
                       ClassLoader classLoader)
                       throws IllegalAccessException,
                              InvocationTargetException,
                              NamingException,
                              InstantiationException,
                              ClassNotFoundException

  Throws:
    `IllegalAccessException`
    `InvocationTargetException`
    `NamingException`
    `InstantiationException`
    `ClassNotFoundException`

### newInstance

    void newInstance(Object o)
                     throws IllegalAccessException,
                            InvocationTargetException,
                            NamingException

  Throws:
    `IllegalAccessException`
    `InvocationTargetException`
    `NamingException`

### destroyInstance

    void destroyInstance(Object o)
                         throws IllegalAccessException,
                                InvocationTargetException

  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.